## remmina 1.2.0-rcgit.27+dfsg

=== debian/changelog ===
remmina (1.2.0-rcgit.27+dfsg-3) unstable; urgency=medium

  * debian/: EXEC plugin added
  * debian/control:
    - update Maintainer e-address
    - drop Jörg from Uploaders
    - add remmina-plugin-exec to Suggests
  * debian/patches/: patchset updated
    - 0003-Fix_clipboard_cleanup.patch added
    - 0004-Switch_stats_URL_to_https.patch added

 -- Matteo F. Vescovi <mfv@debian.org>  Wed, 21 Feb 2018 16:11:52 +0100

remmina (1.2.0-rcgit.27+dfsg-2) unstable; urgency=medium

  * debian/control: update Recommends and add Suggests fields
    (Closes: #890351)

 -- Matteo F. Vescovi <mfv@debian.org>  Tue, 20 Feb 2018 00:00:51 +0100

remmina (1.2.0-rcgit.27+dfsg-1) unstable; urgency=medium

  * New upstream release
  * debian/patches/: patchset updated
    - 0001-Fix_RDP_GFX_RFX_mode.patch added
    - 0002-Add_StartupWMClass_to_.desktop.in_file.patch added
    Thanks to Giovanni Panozzo (upstream dev) for them.
  * debian/rules: drop obsolete override entry
  * debian/watch: version and options updated
  * debian/: debhelper bump 10 -> 11
  * debian/control: S-V bump 4.1.2 -> 4.1.3 (no changes needed)
  * debian/control: Vcs-* fields updated pointing to salsa
  * debian/copyright: http:// -> https:// for copyright format
  * debian/control: new build-dependencies added
    - libjson-glib-dev and libsoup2.4-dev

 -- Matteo F. Vescovi <mfv@debian.org>  Mon, 19 Feb 2018 22:56:23 +0100

remmina (1.2.0-rcgit.26+dfsg-1) unstable; urgency=medium

  * New upstream release
    (+dfsg due to dropping useless stuff for Debian packaging)
    - debian/: 'gnome' plugin moved to 'secret'
  * debian/: repacking tools added
  * debian/watch: mangling options added due to repacking
  * debian/control: S-V bump 4.1.1 -> 4.1.2 (no changes needed)

 -- Matteo F. Vescovi <mfv@debian.org>  Sat, 30 Dec 2017 15:55:39 +0100

remmina (1.2.0-rcgit.24-3) unstable; urgency=medium

  * debian/control:
    - descriptions updated
    - Section updated to 'x11'

 -- Matteo F. Vescovi <mfv@debian.org>  Sun, 05 Nov 2017 13:29:33 +0100

remmina (1.2.0-rcgit.24-2) unstable; urgency=medium

  * debian/control: appindicator b-deps switched around

 -- Matteo F. Vescovi <mfv@debian.org>  Mon, 30 Oct 2017 12:21:44 +0100

remmina (1.2.0-rcgit.24-1) unstable; urgency=medium

  * New upstream release
    - debian/control:
      - drop useless webkit2gtk b-deps
      - drop obsolete libspice-client-gtk-2.0-dev b-dep
      - split to multiple appindicator b-deps

 -- Matteo F. Vescovi <mfv@debian.org>  Fri, 27 Oct 2017 20:28:27 +0200

remmina (1.2.0-rcgit.23-1) unstable; urgency=medium

  * New upstream release

 -- Matteo F. Vescovi <mfv@debian.org>  Tue, 24 Oct 2017 23:07:19 +0200

remmina (1.2.0-rcgit.21-1) unstable; urgency=medium

  * New upstream release (Closes: #777638)
    - debian/patches/: patchset dropped (applied upstream)
    - debian/: fix installation paths

 -- Matteo F. Vescovi <mfv@debian.org>  Mon, 09 Oct 2017 22:06:21 +0200

remmina (1.2.0-rcgit.20-5) unstable; urgency=medium

  * debian/: new remmina-dev binary package added
  * debian/copyright:
    - add myself for debian/
    - upstream info updated
  * debian/control: S-V bump 4.1.0 -> 4.1.1 (no changes needed)

 -- Matteo F. Vescovi <mfv@debian.org>  Mon, 02 Oct 2017 21:57:07 +0200

remmina (1.2.0-rcgit.20-4) unstable; urgency=medium

  * Upload to unstable
  * debian/control: S-V bump 4.0.0 -> 4.1.0 (no changes needed)

 -- Matteo F. Vescovi <mfv@debian.org>  Mon, 25 Sep 2017 14:29:44 +0200

remmina (1.2.0-rcgit.20-3) experimental; urgency=medium

  * debian/control: add Multi-Arch support
  * debian/rules: drop override on dh_auto_configure
    (enabling applicator support)

 -- Matteo F. Vescovi <mfv@debian.org>  Wed, 20 Sep 2017 22:59:22 +0200

remmina (1.2.0-rcgit.20-2) experimental; urgency=medium

  * debian/control:
    - NX plugin re-enabled
    - drop libfreerdp-plugins-standard as Recommends
      for RDP plugin
  * debian/: Spice plugin added

 -- Matteo F. Vescovi <mfv@debian.org>  Fri, 15 Sep 2017 15:42:28 +0200

remmina (1.2.0-rcgit.20-1) experimental; urgency=medium

  * New upstream release (Closes: #874571)
  * debian/control:
    - fix Vcs-Git usage of https://
    - re-enable libssh and drop libssl b-deps
    - S-V bump 3.9.8 -> 4.0.0 (no changes needed)
  * debian/rules:
    - remove duplicate manpage from remmina-common package

 -- Matteo F. Vescovi <mfv@debian.org>  Wed, 13 Sep 2017 22:15:06 +0200

remmina (1.2.0-rcgit.17-1) experimental; urgency=medium

  * New upstream release.
  * debian/copyright:
    - Update copyright years for 2017.
    - Refresh authors.
  * debian/control:
    - Rewrite and refresh Buld-Depends.
    - Because of incompatibility during the libssl transition:
      + Comment out libssh-dev.
      + Comment out binary remmina-plugin-nx.
  * debian/rules:
    - Add -DWITH_LIBSSH=OFF to dh_auto_configure.
  * debian/docs:
    - Rename README to README.md.
  * debian/patches:
    - Refresh 0700-desktop.patch.
    - Disable unused patches.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Sun, 22 Jan 2017 17:36:16 +0100
