## remmina 1.2.0-rcgit.29+dfsg

=== debian/changelog ===
remmina (1.2.0-rcgit.29+dfsg-1ubuntu1.2) bionic-security; urgency=medium

  * Fix compatibility with FreeRDP 2.1.1 and xrdp. (LP: #1881799)
    - debian/patches/xrdp-compat1.patch: added xrdp friendly options to
      plugins/rdp/rdp_plugin.c.
    - debian/patches/xrdp-compat2.patch: disable glyph cache by default in
      plugins/rdp/rdp_plugin.c.
    - debian/patches/xrdp-compat3.patch: remove unneeded OrderSupport
      struct init in plugins/rdp/rdp_plugin.c.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 03 Jun 2020 09:24:50 -0400

remmina (1.2.0-rcgit.29+dfsg-1ubuntu1.1) bionic-security; urgency=medium

  * Fix compatibility with FreeRDP 2.1.1 security update.
    - debian/patches/rdppaint*.patch: backport upstream patches to fix
      compatibility wither newer FreeRDP versions.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 27 May 2020 08:19:08 -0400

remmina (1.2.0-rcgit.29+dfsg-1ubuntu1) bionic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/patches/translations.patch,
      - Make translatable and add keywords.
    - Switch appindicator dependencies

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 10 Apr 2018 16:21:16 +0200

remmina (1.2.0-rcgit.29+dfsg-1) unstable; urgency=medium

  * New upstream release
    - debian/patches/: patchset dropped (applied upstream)
  * debian/remmina-plugin-telepathy.install: fix installation path
  * debian/control: S-V bump 4.1.3 -> 4.1.4 (no changes needed)

 -- Matteo F. Vescovi <mfv@debian.org>  Mon, 09 Apr 2018 21:36:06 +0200

remmina (1.2.0-rcgit.27+dfsg-4ubuntu1) bionic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/patches/translations.patch,
      - Make translatable and add keywords.
    - Switch appindicator dependencies

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 25 Mar 2018 12:42:17 +0200

remmina (1.2.0-rcgit.27+dfsg-4) unstable; urgency=medium

  * debian/patches/: patchset updated
    - 0005-Fixes_segmentation_fault.patch added
  * debian/repack.local: flatpak/ directory removed

 -- Matteo F. Vescovi <mfv@debian.org>  Sat, 24 Mar 2018 22:11:36 +0100

remmina (1.2.0-rcgit.27+dfsg-3ubuntu1) bionic; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - debian/patches/translations.patch,
      - Make translatable and add keywords.
    - Switch appindicator dependencies
    - debian/patches/translations.patch: 

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 22 Feb 2018 13:17:41 +0100

remmina (1.2.0-rcgit.27+dfsg-2ubuntu1) bionic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/patches/translations.patch,
      - Make translatable and add keywords.
    - Switch appindicator dependencies
    - debian/patches/translations.patch:

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 21 Feb 2018 08:51:10 +0100

remmina (1.2.0-rcgit.27+dfsg-1ubuntu1) bionic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/patches/translations.patch,
      - Make translatable and add keywords.
    - Switch appindicator dependencies
    - debian/patches/translations.patch:

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 20 Feb 2018 11:46:32 +0100

remmina (1.2.0-rcgit.26+dfsg-1ubuntu2) bionic; urgency=low

  * debian/patches/translations.patch:
    - Don't add "X-Ubuntu-Gettext-Domain=remmina" to .desktop file to
      prevent that the file's translations are removed by
      pkgstriptranslations (LP: #1746004).

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Mon, 05 Feb 2018 11:15:00 +0100

remmina (1.2.0-rcgit.26+dfsg-1ubuntu1) bionic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/patches/translations.patch,
      - Make translatable and add keywords.
    - Switch appindicator dependencies

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 31 Dec 2017 17:31:11 +0100

remmina (1.2.0-rcgit.24-3ubuntu1) bionic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/patches/translations.patch,
      - Make translatable and add keywords.
    - Switch appindicator dependencies

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 06 Nov 2017 14:55:56 +0100

remmina (1.2.0-rcgit.24-2ubuntu2) bionic; urgency=medium

  * Switch appindicator dependencies, better stick with libappindicator3 for
    now.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 31 Oct 2017 16:14:42 +0100

remmina (1.2.0-rcgit.24-2ubuntu1) bionic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/patches/translations.patch,
      - Make translatable and add keywords.
  * Try to drop the appindicator delta, included in Debian (swapped around)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 31 Oct 2017 15:29:45 +0100

remmina (1.2.0-rcgit.24-1ubuntu2) bionic; urgency=medium

  * Fixup previous upload

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 28 Oct 2017 13:59:22 +0200

remmina (1.2.0-rcgit.24-1ubuntu1) bionic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Build-depend on libappindicator3-dev, intltool to enable
      support
    - debian/patches/translations.patch,
      - Make translatable and add keywords.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 28 Oct 2017 12:12:45 +0200
