=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: remmina
 Section: x11
 Priority: optional
-Maintainer: Debian Remote Maintainers <debian-remote@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Remote Maintainers <debian-remote@lists.debian.org>
 Uploaders:
  Matteo F. Vescovi <mfv@debian.org>
 Build-Depends:
  cmake (>= 3.5),
  debhelper (>= 11~),
  freerdp2-dev (>= 2.0.0~),
- libayatana-appindicator3-dev | libappindicator3-dev,
+ libappindicator3-dev | libayatana-appindicator3-dev,
  libavahi-ui-gtk3-dev (>= 0.6.0),
  libgcrypt-dev | libgcrypt20-dev,
  libgnutls28-dev,
@@ -23,8 +24,9 @@
  libtelepathy-glib-dev,
  libvncserver-dev,
  libvte-2.91-dev,
- libxkbfile-dev
-Standards-Version: 4.1.3
+ libxkbfile-dev,
+ intltool
+Standards-Version: 4.1.4
 Homepage: http://www.remmina.org/
 Vcs-Git: https://salsa.debian.org/debian-remote-team/remmina.git
 Vcs-Browser: https://salsa.debian.org/debian-remote-team/remmina
