=== debian/watch ===
version=4
opts="dversionmangle=s%\+dfsg\d*$%%, \
filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%remmina_$1.tar.gz%" \
https://github.com/FreeRDP/Remmina/releases /FreeRDP/Remmina/archive/v(.+)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz) debian sh debian/repack.stub
